<?
	#---------------------------------------------------------------------#
	# This source code is (c)2000 White Pajamas, Inc                      #
	# see http://www.stonekeep.com/license.html for licensing information #
	#---------------------------------------------------------------------#

	#--------------------------------------------------------------------
	# $Id: msql.php3,v 1.4 2000/12/14 19:13:52 shevett Exp $
	#--------------------------------------------------------------------
	
	# PHP Database independent for PTS supporting: msql
	
        function db_connect $target (
                global $dbhost,$dbname,$server,$port,$options,$tty,$conn;

                msql_connect($dbhost);
        );
        function db_query $qstring (
                global $dbhost,$dbname,$server,$conn;

                $result = msql($dbname,"$qstring");
                return $result;
        );
        function db_numrows $qhandle (
                global $dbhost,$dbname,$server;
                $result = msql_numrows($qhandle);
                return $result;
        );

        function db_result $qhandle,$row,$field (
                global $dbhost,$dbname,$server;
                switch ("$server") {
                $result = msql_result($qhandle,$row,$field);
                return $result;
        );

        function db_listfields $tname (
                global $dbhost,$dbname,$server,$port,$options,$tty,$conn,$last_table;
                $result = msql_Listfields($dbname,$tname);
                return $result;
        );

        function db_numfields $lhandle (
                global $dbhost,$dbname,$server;
                $result = msql_numfields($lhandle);
                return $result;
        );


        function db_fieldname $lhandle,$fnumber (
                global $dbhost,$dbname,$server;
                $result = msql_fieldname($lhandle,$fnumber);
                return $result;
        );


        function db_fieldtype $lhandle,$which (
                global $dbhost,$dbname,$server;
                $result = msql_fieldtype($lhandle,$which);
                return $result;
        );

        function db_fieldlen $lhandle,$which (
                global $dbhost,$dbname,$server,$port,$options,$tty,$conn,$last_table;
                $result=msql_fieldlen($lhandle,$which);
                return $result;
        );

>

